## Class template custom_event_type_mapping

boost::log::sinks::event_log::custom_event_type_mapping — Customizable event type mapping.

## Synopsis

    // In header: <boost/log/sinks/event_log_backend.hpp>

    template<typename AttributeValueT = int>
    class custom_event_type_mapping :
      public basic_custom_mapping< event_type, AttributeValueT >
    {
    public:
      // construct/copy/destruct
      explicit custom_event_type_mapping(attribute_name const &);
    };

## Description

The class allows to setup a custom mapping between an attribute and native event types. The mapping should be initialized similarly to the standard `map` container, by using indexing operator and assignment.

### `custom_event_type_mapping` public construct/copy/destruct

1.     explicit custom_event_type_mapping(attribute_name const & name);

   Constructor

   Parameters:

   `name` | Attribute name